import { Tree } from '@angular-devkit/schematics';
import * as ts from 'typescript';
/** Parses the TSConfig file to be used in the TS Compiler Program. */
export declare function parseTsConfig(absoluteTsConfigPath: string): ts.ParsedCommandLine;
/** Creates a file host to be used with with a TS Compiler program. */
export declare function createTsCompilerHost(tree: Tree, options: ts.CompilerOptions, basePath: string): ts.CompilerHost;
export declare function createTsProgram(tree: Tree, tsConfigPath: string, basePath: string): ts.Program;
